package intrinsic.mx.collections;

public class XMLListAdapter extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.collections.IList, intrinsic.mx.utils.IXMLNotifiable {

	/** Accessors */
	public int length;
	public intrinsic.XMLList source;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public XMLListAdapter() {
}

public XMLListAdapter(Object arg0) {
}


/** Static Methods */

/** Methods */
public native String toString();
public native Object getItemAt(int arg0);
public native Object getItemAt(int arg0, int arg1);
public native void itemUpdated(Object arg0);
public native void itemUpdated(Object arg0, Object arg1);
public native void itemUpdated(Object arg0, Object arg1, Object arg2);
public native void itemUpdated(Object arg0, Object arg1, Object arg2, Object arg3);
public native boolean busy();
public native void xmlNotification(Object arg0, String arg1, Object arg2, Object arg3, Object arg4);
public native void removeAll();
public native void addItem(Object arg0);
public native void addItemAt(Object arg0, int arg1);
public native int getItemIndex(Object arg0);
public native Object setItemAt(Object arg0, int arg1);
public native Object removeItemAt(int arg0);
public native intrinsic.Array toArray();

}
